Pourquoi Android 14 bloquera l’installation de l’application ?

Android 14

Android 13 deviendra une chose du passé car Google veut lancer Android 14 dans les prochains mois. Le nouveau système d’exploitation sera disponible sur les derniers smartphones. De même, nous aurons un premier aperçu dans les prochains mois.

Pour l’instant, Google doit terminer son travail avant de rendre public le nouveau système d’exploitation. Android 14 ne vous permettra pas d’installer des applications ciblant des versions antérieures du SDK. En bref, les applications obsolètes qui ciblent Android 13 ou moins ne seront pas autorisées à être installées sur votre téléphone.

9to5Google peut repérer la différence grâce à un ajustement du code. Et le tweak de code a des conditions strictes d’API pour l’installation de l’application. La publication le dit.

« Bloquez l’installation des applications qui ciblent la version inférieure du SDK si l’application de la version minimale du SDK installable est activée. Cela aidera à améliorer la sécurité des téléphones Android. De plus, cela augmentera la confidentialité car les logiciels malveillants peuvent affecter les anciennes versions du SDK.

Actualité mobile (sous-titrée) de notre partenaire de la semaine


Ainsi, vous ne pourrez pas installer d’applications qui ciblent les versions précédentes d’Android.

Android 14 bloquera l’installation de l’application des versions précédentes du SDK :

Initialement, le nouvel Android 14 bloquera l’installation sur l’ancienne version du SDK sur votre téléphone. Cependant, avec le temps, la condition minimale passera à Android 6.

Heureusement, vous pouvez toujours faire en sorte que les choses fonctionnent pour vous. Vous pouvez installer des applications obsolètes à l’aide du nouvel indicateur. Le drapeau remplacera les conditions. Vous devrez utiliser le shell de commande ADB pour activer le drapeau.

L’objectif principal est d’empêcher les logiciels malveillants de se propager et de taquiner les utilisateurs. Ces dernières années, les distributeurs de logiciels malveillants ont trompé les utilisateurs avec des techniques plus raffinées. Ils chargent les applications en fournissant des instructions valides et judicieuses.

Plus important encore, l’exploitation sera plus difficile lorsque le système d’exploitation bloquera l’installation d’une application particulière. Ce n’est pas une surprise.

Google donnera sûrement le temps aux développeurs de mettre à jour les applications vers une version plus récente du SDK. Les développeurs devront réviser leurs applications vers Android 14 ou version ultérieure pour publication. Actuellement, les applications sideload ne répondent pas à toutes ces exigences.